# Dr Serpent Documentation

## Description:
Dr Serpent 🐍 in an easy to use testing framework for Python focusing on Behaviour Driven Development and Test Driven Development processes.

## Example:

```python
# file
def run():
    return 1 + 1

# test_file
def test_number():
    Expect(run(2)).to_equal(2)
```

## How to use:

#### [Click Here](https://pypi.org/project/drserpent/) to visit the PyPi URL.

#### View DrSerpent [documentation](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md).

#### [Getting Started](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#getting-started)

#### [Compulsory Conventions](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#conventions)

### Matchers:

- [`to_equal`](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#to_equal)
- [`to_be_truthy`](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#to_be_truthy)
- [`to_be_falsey`](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#to_be_falsey)
- [`to_be_none`](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#to_be_none)
- [`to_be_greater_than`](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#to_be_greater_than)
- [`to_be_less_than`](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#to_be_less_than)
- [`to_include`](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#to_include)
- [`to_not_include`](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#to_not_include)
- [`to_output_to_stdout`](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#to_output_to_stdout)
- [`to_throw_error`](https://github.com/DrSerpent/DrSerpent-Core/blob/master/DOCUMENTATION.md#to_throw_error)

## Contributors:
* [Alex McCarroll](https://github.com/AlexMcCarroll)
* [Ricky Hewitt](https://github.com/rewitt94)
* [Tom Betts](https://github.com/T-Betts)
* [Hemesh Unka](https://github.com/Hemesh-Unka)

## How to contribute to this project:

See [CONTRIBUTING.md](https://github.com/DrSerpent/DrSerpent-Core/blob/master/CONTRIBUTING.md)

## Licence:

Distributed under the terms of the [MIT](https://github.com/DrSerpent/DrSerpent-Core/blob/master/LICENSE.txt) license, DrSerpent is free and open source software.
